REM  *****  BASIC  *****

Sub TestExertionLoad
	' nur zum debuggen
	Print ExertionLoadByRPE(82.5, 12, 9.5)
	
End sub




' RM  repetition maximum des Satzes
' i Nummer der Wiederholung
' return: relative Anstengung dee einzelnen Wiederholung
Public Function RelativeExertionLoadSingleRep( rm as Double, i as double) as Double 
	RelativeExertionLoadSingleRep = EXP(-0.215 * (rm -i)
End Function



' RM  repetition maximum des Satzes
' i Nummer der Wiederholung
' loaf Gewicht des Wiederstands
' return: ExertionLoad der einzelnen Wiederholung
Public Function ExertionLoadSingleRep(load as Double, rm as Double, i as double) as Double 

	ExertionLoadSingleRep = load * RelativeExertionLoadSingleRep(rm,i)
End Function



'http://www.strongur.io/using-exertion-load-to-predict-metabolic-stress/
Public Function ExertionLoad(load as Double, reps as Integer, rir as Double) as Double 
	Dim i as Integer
	Dim rm as Double
	Dim current_ExertionLoad as Double
	
	' repetitions maximum ergibt sich aus den tatsächlich ausgeführten Wiederholungen und den Wiederholungen in Resevere
	rm= reps + rir
	

	
	' Die ExertionLoads der einzelnen Wiederholgungen aufsummieren
	current_ExertionLoad  =0
	For i=1 to reps
	
		current_ExertionLoad = current_ExertionLoad+ExertionLoadSingleRep(load,rm,i)
	Next i
	
	ExertionLoad = current_ExertionLoad

End Function

'https://journals.lww.com/nsca-jscr/Fulltext/2016/01000/Novel_Resistance_Training_Specific_Rating_of.31.aspx
Public Function ExertionLoadByRPE(load as Double, reps as Integer, RPE as Double) as Double 
	ExertionLoadByRPE = ExertionLoad(load, reps, 10-RPE)

End Function



REM  *****  BASIC  *****

Sub Main

End Sub
